# $Revision: 1.40 $, $Date: 2008/07/27 22:37:41 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Image
%define		pnam	Grab
Summary:	Image::Grab perl module
Summary(pl.UTF-8):	Moduł perla Image::Grab
Name:		perl-Image-Grab
Version:	1.4.2
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	8a62dcff23997e525f7557451f5758dd
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-Digest-MD5
BuildRequires:	perl-HTML-Parser
BuildRequires:	perl-HTML-Tree
BuildRequires:	perl-MIME-Base64
BuildRequires:	perl-URI
BuildRequires:	perl-libnet
BuildRequires:	perl-libwww
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Image::Grab is a perl module for Grabbing images off the Internet.

%description -l pl.UTF-8
Image::Grab jest modułem do ściągania obrazków z Internetu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
echo "N" | perl Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorlib}/Image/Grab.pm
%{perl_vendorlib}/Image/Grab
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Image-Grab.spec,v $
Revision 1.40  2008/07/27 22:37:41  arekm
- release 2

Revision 1.39  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.38  2007/02/12 00:49:37  baggins
- converted to UTF-8

Revision 1.37  2004/12/01 17:35:53  radek
- autoupdated to 1.4.2

Revision 1.36  2004/11/03 22:30:27  paladine
- formatting

Revision 1.35  2004/11/02 11:21:35  adamg
- get rid of pod documentation
- release 4

Revision 1.34  2004/05/07 01:09:21  ankry
- rel. 3

Revision 1.33  2004/05/06 18:09:43  ankry
- fixed perl-devel BR

Revision 1.32  2004/04/25 19:57:11  ankry
- added tests

Revision 1.31  2004/04/22 12:52:34  ankry
- license fixes & unification

Revision 1.30  2003/09/09 10:24:39  ankry
- spaces -> tab

Revision 1.29  2003/05/28 13:00:43  malekith
- massive attack: source-md5

Revision 1.28  2003/05/25 06:24:41  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.27  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.26  2003/03/01 19:37:17  radek
- should be ready for perl-5.8.0; release++

Revision 1.25  2003/02/18 15:34:16  ankry
- massive attack: change CPAN URLs

Revision 1.24  2002/07/11 13:00:58  qboosh
- new %%doc, cosmetics

Revision 1.23  2002/07/11 08:00:03  depesz
- new version; should work; STBR

Revision 1.22  2002/07/10 08:47:48  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.21  2002/05/11 14:28:09  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.20  2002/02/25 10:32:15  depesz
cleanup; revision++

Revision 1.19  2002/02/22 23:29:29  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/02/13 14:17:35  depesz
automatic: Source location unfied, Relase Up

Revision 1.17  2002/02/10 15:27:21  depesz
adapterized

Revision 1.16  2002/01/18 02:14:20  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/05/22 16:54:53  mis
- buildarch noarch
- release++

Revision 1.14  2001/04/17 12:11:22  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.13  2001/04/14 18:00:07  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.12  2001/03/15 10:37:58  mis
- updated (by autoup) to 1.3

Revision 1.11  2001/02/05 21:48:35  kloczek
- echo "N" to  "perl Makefile.PL" for not perform network connection
  checking during building package,
- remove %%{perl_sitelib}/auto/Image/Grab from %files.

Revision 1.10  2001/02/05 21:24:23  kloczek
- updated to 1.2.

Revision 1.9  2001/01/11 00:02:53  kloczek
- release 2: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.8  2000/06/09 07:54:54  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:37  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/20 21:58:00  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:54  baggins
- translated kloczkish into english

Revision 1.3  1999/11/05 19:27:21  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.2  1999/10/20 21:44:47  pius
- updated to 0.9.5
- more BuildRequires rules

Revision 1.1  1999/10/20 19:46:44  pius
- initial release
